org.eclnt.jsfserver.util.style

## Class StyleFileAccess

- java.lang.Object
- - org.eclnt.jsfserver.util.style.StyleFileAccess

-     public class StyleFileAccess
      extends java.lang.Object

  General method to read files in the context of style management.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleFileAccess()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<java.lang.String>` | `findDirectories(java.lang.String webPath)` Find all style - including the one that are externally store within the stream store.
    `static java.util.List<java.lang.String>` | `findFiles(java.lang.String webPath, java.lang.String extension)` Find all style - including the one that are externally store within the stream store.
    `static byte[]` | `readStyleFile(java.lang.String webPath)` Reads a file from style directory at runtime.
    `static java.lang.String` | `readStyleUTF8File(java.lang.String webPath)` Reads a file from style directory at runtime.
    `static void` | `writeRuntimeStyleFile(java.lang.String styleName, java.lang.String fileName, byte[] content)` Writes a file into the style directory for the corresponding style.
    `static void` | `writeRuntimeStyleFile(java.lang.String styleName, java.lang.String fileName, java.lang.String content)` Writes a file into the style directory for the corresponding style.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleFileAccess

          public StyleFileAccess()

  - ### Method Detail

    - #### findDirectories

          public static java.util.List<java.lang.String> findDirectories(java.lang.String webPath)

      Find all style - including the one that are externally store within the stream store.

    - #### findFiles

          public static java.util.List<java.lang.String> findFiles(java.lang.String webPath,
                                                                   java.lang.String extension)

      Find all style - including the one that are externally store within the stream store.

    - #### readStyleFile

          public static byte[] readStyleFile(java.lang.String webPath)

      Reads a file from style directory at runtime. First the style is expected to be part of the web archive. If not the style is checked in the stream store.
      Parameters:
        `webPath` - The path within the webcontent, e.g. "/eclntjsfserver/styles/xyz/xyz.png"

    - #### readStyleUTF8File

          public static java.lang.String readStyleUTF8File(java.lang.String webPath)

      Reads a file from style directory at runtime. First the style is expected to be part of the web archive. If not the style is checked in the stream store.
      Parameters:
        `webPath` - The path within the webcontent, e.g. "/eclntjsfserver/styles/xyz/xyz.png"

    - #### writeRuntimeStyleFile

          public static void writeRuntimeStyleFile(java.lang.String styleName,
                                                   java.lang.String fileName,
                                                   java.lang.String content)

      Writes a file into the style directory for the corresponding style.

    - #### writeRuntimeStyleFile

          public static void writeRuntimeStyleFile(java.lang.String styleName,
                                                   java.lang.String fileName,
                                                   byte[] content)

      Writes a file into the style directory for the corresponding style.

Copyright © CaptainCasa Gmbh. All Rights Reserved.